Bug 1118960 - Review Request: perl-Clone-PP - Recursively copy Perl data-types
Summary: Review Request: perl-Clone-PP - Recursively copy Perl data-types
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1123583
TreeView+ depends on / blocked
 
Reported: 2014-07-12 10:03 UTC by David Dick
Modified: 2014-08-07 11:48 UTC (History)
2 users (show)

Fixed In Version: perl-Clone-PP-1.06-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-30 21:57:47 UTC
ppisar: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description David Dick 2014-07-12 10:03:39 UTC
Spec URL: http://ddick.fedorapeople.org/packages/perl-Clone-PP.spec
SRPM URL: http://ddick.fedorapeople.org/packages/perl-Clone-PP-1.05-1.fc20.src.rpm
Description: Recursively copy Perl data-types
Fedora Account System Username: ddick

Comment 2 Petr Pisar 2014-07-16 13:56:48 UTC
URL and Source0 are usable. Ok.
Source tar ball is original (SHA-256: a81b0fb1d659ed57f6981d790b944dbf294599fea14bcbf799d4c72ccae78d5c). Ok.
Summary verified from lib/Clone/PP.pm. Ok.
Description verified from lib/Clone/PP.pm. Ok.

License verified from t/tied.pl, t/dump.pl, t/dclone.t, README, lib/Clone/PP.pm.

FATAL: Copyright declarations in t/* files state:

#  Copyright (c) 1995-1998, Raphael Manfredi
#  
#  You may redistribute only under the terms of the Artistic License,
#  as specified in the README file that comes with the distribution.

The README states:

CREDITS AND COPYRIGHT
    Developed by Matthew Simon Cavalletto at Evolution Softworks. More free
    Perl software is available at "www.evoscript.org".

    Copyright 2003 Matthew Simon Cavalletto. You may contact the author
    directly at "evo@cpan.org" or "simonm@cavalletto.org".

    Code initially derived from Ref.pm. Portions Copyright 1994 David Muir
    Sharnoff.

    Interface based by Clone by Ray Finch with contributions from
    chocolateboy. Portions Copyright 2001 Ray Finch. Portions Copyright 2001
    chocolateboy.

    You may use, modify, and distribute this software under the same terms
    as Perl.

That means the tests are covered by the Artistic License only. And the Artistic License as quoted in /usr/share/doc/perl/Artistic is The "Artistic License" which is not allowed by Fedora <https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Software_License_List>.

Please clarify this issue with upstream and Fedora legal department. Or remove the tests from the source tarbal and document it in the spec file.

Comment 3 David Dick 2014-07-17 07:31:31 UTC
Interesting.

I'll block this as FE-Legal to clarify if it is permissible for parts of the test suite to be under the Artistic 1.0 while the rest of the package is under the "GPL+ or Artistic", with the Artistic 1.0 files not being distributed in the resulting RPM.

Comment 4 Petr Pisar 2014-07-17 07:34:40 UTC
Don't forget Fedora distributes source RPM too. And the dist-git source cache is publicly available too.

Comment 5 David Dick 2014-07-17 08:54:27 UTC
Yup.  I've also emailed all the authors of the files in question to see if i can get a license change for the files in question.

Comment 6 David Dick 2014-07-21 06:32:31 UTC
Original author of these files has agreed to re-license, and upstream has shipped a new package reflecting the updated license. 

Many thanks to all involved.

Spec URL: http://ddick.fedorapeople.org/packages/perl-Clone-PP.spec
SRPM URL: http://ddick.fedorapeople.org/packages/perl-Clone-PP-1.06-1.fc20.src.rpm

Ready for review again.

Comment 7 Petr Pisar 2014-07-21 10:22:52 UTC
URL and Source0 are usable. Ok.
Source archive is original (SHA-256: 4ccf74174a83543787946e5c06a0b3c56f4b3bd29e21632f74d11ade30b9b7e7). Ok.
Summary verified from lib/Clone/PP.pm. Ok.
Description verified from lib/Clone/PP.pm. Ok.
License verified from t/tied.pl, t/dump.pl, t/dclone.t, README, lib/Clone/PP.pm. Ok.
No XS code, noarch BuildArch is Ok.
All needed build-requires are declared. Ok.

All tests pass. Ok.

$ rpmlint perl-Clone-PP.spec ../SRPMS/perl-Clone-PP-1.06-1.fc22.src.rpm ../RPMS/noarch/perl-Clone-PP-1.06-1.fc22.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-Clone-PP-1.06-1.fc22.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Jul 21 12:13 /usr/share/doc/perl-Clone-PP
-rw-r--r--    1 root    root                     1065 Jul 20 21:06 /usr/share/doc/perl-Clone-PP/Changes
-rw-r--r--    1 root    root                     3204 Feb 15 11:09 /usr/share/doc/perl-Clone-PP/README
-rw-r--r--    1 root    root                     3420 Jul 21 12:13 /usr/share/man/man3/Clone::PP.3pm.gz
drwxr-xr-x    2 root    root                        0 Jul 21 12:13 /usr/share/perl5/vendor_perl/Clone
-rw-r--r--    1 root    root                     6138 Jul 18 23:22 /usr/share/perl5/vendor_perl/Clone/PP.pm
File layout and permissions are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Clone-PP-1.06-1.fc22.noarch.rpm | sort -f | uniq -c
      1 perl >= 0:5.006
      1 perl(:MODULE_COMPAT_5.18.2)
      1 perl(Exporter)
      1 perl(strict)
      1 perl(vars)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -q --provides -p ../RPMS/noarch/perl-Clone-PP-1.06-1.fc22.noarch.rpm | sort -f | uniq -c
      1 perl(Clone::PP) = 1.06
      1 perl-Clone-PP = 1.06-1.fc22
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-Clone-PP-1.06-1.fc22.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F22 (http://koji.fedoraproject.org/koji/taskinfo?taskID=7171211). Ok.

Package is in line with Fedora and Perl packaging guidelines.

Resolution: Package APPROVED.

Comment 8 David Dick 2014-07-21 10:35:50 UTC
New Package SCM Request
=======================
Package Name: perl-Clone-PP
Short Description: Recursively copy Perl data-types
Upstream URL: http://search.cpan.org/dist/Clone-PP/
Owners: ddick
Branches: el6, epel7, f20, f21
InitialCC: perl-sig

Thanks Petr

Comment 9 Gwyn Ciesla 2014-07-21 12:50:56 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2014-07-21 21:04:21 UTC
perl-Clone-PP-1.06-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Clone-PP-1.06-1.fc20

Comment 11 Fedora Update System 2014-07-21 21:11:52 UTC
perl-Clone-PP-1.06-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Clone-PP-1.06-1.el6

Comment 12 Fedora Update System 2014-07-22 18:09:27 UTC
perl-Clone-PP-1.06-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 13 Fedora Update System 2014-07-30 21:57:47 UTC
perl-Clone-PP-1.06-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 14 Fedora Update System 2014-08-07 11:48:16 UTC
perl-Clone-PP-1.06-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.